Name:         bwbasic
Summary:      A Basic interpreter
Version:      2.61
Release:      1
License:      GNU General Public License (GPL) 
Vendor:       openSUSE-Education
Group:        Development/Languages/Other
URL:          http://sourceforge.net/projects/bwbasic/
Source0:      %{name}-%{version}.zip
Source1:      %{name}.desktop
Source2:      %{name}.png
Patch0:       %{name}-%{version}-aix.patch
BuildRoot:    %{_tmppath}/%{name}-%{version}-%{release}-buildroot

BuildRequires: tofrodos 
BuildRequires: unzip

%description
The Bywater BASIC Interpreter (bwBASIC) implements a large superset of the ANSI
Standard for Minimal BASIC (X3.60-1978) and a significant subset of the ANSI
Standard for Full BASIC (X3.113-1987) in C.

It also offers shell programming facilities as an extension of BASIC. bwBASIC
seeks to be as portable as possible.


Authors:
--------
    Ted A. Campbell <tcamp@delphi.com>


%prep
%setup -q -T -c %{name}
unzip -j -L -q %{SOURCE0}
chmod +x configure
fromdos *
%patch0
ln -s makefile.in Makefile.in


%build
export CC=xlc_r
./configure
make


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}

mkdir -p ${RPM_BUILD_ROOT}%{_bindir} 
cp %{name} ${RPM_BUILD_ROOT}%{_bindir}/%{name}
chmod 0755 ${RPM_BUILD_ROOT}%{_bindir}/%{name}

mkdir -p ${RPM_BUILD_ROOT}%{_libdir}/%{name}
cp *.bas ${RPM_BUILD_ROOT}%{_libdir}/%{name}/
chmod 0644 ${RPM_BUILD_ROOT}%{_libdir}/%{name}/*

mkdir -p ${RPM_BUILD_ROOT}%{_datadir}/applications
cp %{SOURCE1} ${RPM_BUILD_ROOT}%{_datadir}/applications/%{name}.desktop
chmod 0644 ${RPM_BUILD_ROOT}%{_datadir}/applications/%{name}.desktop

mkdir -p ${RPM_BUILD_ROOT}%{_datadir}/pixmaps
cp %{SOURCE2} ${RPM_BUILD_ROOT}%{_datadir}/pixmaps/%{name}.png
chmod 0644 %{SOURCE2} ${RPM_BUILD_ROOT}%{_datadir}/pixmaps/%{name}.png

cd ${RPM_BUILD_ROOT}
mkdir -p usr/bin
cd usr/bin
ln -sf ../..%{_bindir}/* .


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system)
%doc bwbasic.doc
%{_bindir}/%{name}
%{_libdir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
/usr/bin/*


%changelog
* Fri Sep 19 2014 Michael Perzl <michael@perzl.org> - 2.61-1
- updated to version 2.61

* Mon Mar 18 2013 Michael Perzl <michael@perzl.org> - 2.60-1
- first version for AIX V5.1 and higher
